<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.quality.mapper.QualityCutitemMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.quality.entity.QualityCutitem">
                    <id column="CutItemID" property="CutItemID" />
                    <result column="StandardID" property="StandardID" />
                    <result column="CheckCode" property="CheckCode" />
                    <result column="KLUpperLimit" property="KLUpperLimit" />
                    <result column="KLLowerLimit" property="KLLowerLimit" />
                    <result column="KLRange" property="KLRange" />
                    <result column="KLIgnored" property="KLIgnored" />
                    <result column="ZLUpperLimit" property="ZLUpperLimit" />
                    <result column="ZLLowerLimit" property="ZLLowerLimit" />
                    <result column="ZLRange" property="ZLRange" />
                    <result column="JSUpperLimit" property="JSUpperLimit" />
                    <result column="JSLowerLimit" property="JSLowerLimit" />
                    <result column="KJUpperLimit" property="KJUpperLimit" />
                    <result column="KJRange" property="KJRange" />
                    <result column="KJIgnored" property="KJIgnored" />
                    <result column="ZJLowerLimit" property="ZJLowerLimit" />
                    <result column="ZJRange" property="ZJRange" />
                    <result column="BZZ" property="bzz" />
                    <result column="KSFBL" property="ksfbl" />
                    <result column="ZLIgnored" property="ZLIgnored" />
        </resultMap>

    <select id="getPerData" resultType="java.util.Map">
        SELECT *   FROM  quality_cutitem
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  quality_cutitem
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
</mapper>